API Reference
Add IDV information
/v1/retail/idv_info https://api.cable.tech Retail endpoint for adding new IDV information
Authentication
- API key in the x-api-key header
Request body
Request body for adding IDV (Identity Verification) information for a parent entity
-
timestampstring requiredOriginal timestamp relating to this IDV information creation/change
Format
date-time -
dataobject required-
verification_typestring requiredType of verification performed
-
verification_outcomestring requiredResult of IDV screening returned from provider
Example
pass -
verification_providerstring requiredName of the IDV screening provider
Example
IDV Base -
document_typestringType of document used in the screening
Example
National ID -
document_numberstringThe number of the document used in the screening
Example
123ABC4567890 -
document_expiry_datestringThe expiration date of the document used in the screening
Format
date-timeExample
1955-03-22 -
document_extracted_datalist of objectsLimits
min items 1-
typestring requiredType of data extracted from the document
-
valuestring requiredValue of the data extracted from the document
-
-
is_live_selfiebooleanWhether a live selfie was used in the IDV screening
-
externally_verified_datalist of objectsLimits
min items 1-
typestring requiredType of data externally verified
-
valuestring requiredValue of the data externally verified
-
is_externally_verifiedboolean requiredWhether the data was externally verified
-
providerstring requiredName of the provider that externally verified the data
-
-
customobjectCustom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.
-
-
parentobject required-
idstring requiredUnique external identifier of the parent entity, ID stored in your database / back-office
Limits
min length 1
-
Responses
200 Operation success
-
successboolean requiredYou probably did something wrong if you set this to false
Default
true
Errors
- default Operation error
-
codestring required -
messagestring required -
dataobject